Create
curl --request POST \
--url https://api-staging.genuka.com/2023-11/admin/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 160,
"method": "bank",
"treasury_account_id": "01k1amyq08htzkeg79xd7f9pct"
}
'import requests
url = "https://api-staging.genuka.com/2023-11/admin/payments"
payload = {
"amount": 160,
"method": "bank",
"treasury_account_id": "01k1amyq08htzkeg79xd7f9pct"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 160, method: 'bank', treasury_account_id: '01k1amyq08htzkeg79xd7f9pct'})
};
fetch('https://api-staging.genuka.com/2023-11/admin/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Paiements
Create payment
Creates a new payment entry in the system. This endpoint allows specifying the payment amount, currency, payment method, associated order, and optional metadata. Once created, the payment can be tracked and reconciled.
POST
/
2023-11
/
admin
/
payments
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Body
application/json
Response
200 - undefined
⌘I
